﻿
#language: ru

@TransportLogistics

Функционал: 010. TransportLogistics. Создание планов отгрузки на самовывоз

Сценарий: 010.1. TransportLogistics. Создание планов отгрузки на самовывоз по заказам клиента

	Дано Я подключаюсь под "Формирование планов отгрузки на самовывоз"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.010. Транспортная логистика"
	Дано я удаляю объекты "Документы.к2ЗаданиеНаДоставку" без контроля ссылок
	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "25.04.2021"
	И я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку с именем 'ТаблицаРаспоряженийСформироватьРаспоряженияПоЗаказам'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 010.2. TransportLogistics. Проверка заданий по заказам клиентов на доставку сформированных по самовывозу

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	Тогда таблица "Список" стала равной:
		| 'Водитель' | '(План) Начало рейса ' | 'Статус'     | 'Ответственный'                             | 'Комментарий' | 'ТС'                                    | '(План) Окончание рейса' |
		| ''         | '25.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | ''            | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' | ''                       |
		| ''         | '25.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | ''            | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' | ''                       |
		| ''         | '25.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | ''            | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' | ''                       |
	* Проверка задания по 2 планам отгрузки с одним складом и точкой доставки
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                    |
			| '25.04.2021 0:00:00'   | '00000000001' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [25.04.2021 0:00:00] [Ашан]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Сырная ГП'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '25.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		И таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение' | 'Вес'    |
			| ''  | '57,55'           | ''                     | '205,00' |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И я перехожу к закладке с именем "ГруппаМаршрут"
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'Количество мест' | 'Адрес / Распоряжение'                                | 'Вес'    |
				| '57,55'           | ''                                                    | '205,00' |
				| '57,55'           | 'План отгрузки * от *, Точка доставки для самовывоза' | '102,50' |
				| ''                | 'План отгрузки * от *, Точка доставки для самовывоза' | '102,50' |
		И Я закрываю окно 'Задание на доставку * от *'
		Тогда открылось окно 'Задания на доставку'
	* Проверка задания по плану отгрузки с другим складом
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                    |
			| '25.04.2021 0:00:00'   | '00000000002' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [25.04.2021 0:00:00] [Ашан]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Склад готовой продукции'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '25.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		Тогда таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение' | 'Вес'    |
			| ''  | ''                | ''                     | '102,50' |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И я перехожу к закладке с именем "ГруппаМаршрут"
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'Количество мест' | 'Адрес / Распоряжение'                                | 'Вес'    |
				| ''                | ''                                                    | '102,50' |
				| ''                | 'План отгрузки * от *, Точка доставки для самовывоза' | '102,50' |
		И Я закрываю окно 'Задание на доставку * от *'			
		Тогда открылось окно 'Задания на доставку'												
	* Проверка задания по плану отгрузки с другой точкой доставки
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                    |
			| '25.04.2021 0:00:00'   | '00000000003' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [25.04.2021 0:00:00] [Ашан]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [25.04.2021 0:00:00] [Ашан]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Сырная ГП'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '25.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		Тогда таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение' | 'Вес'    |
			| ''  | ''                | ''                     | '102,50' |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И я перехожу к закладке с именем "ГруппаМаршрут"
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'Количество мест' | 'Адрес / Распоряжение'                                  | 'Вес'    |
				| ''                | ''                                                      | '102,50' |
				| ''                | 'План отгрузки * от *, Точка доставки для самовывоза 2' | '102,50' |
		И Я закрываю окно 'Задание на доставку * от *'			
		Тогда открылось окно 'Задания на доставку'	
	И Я закрываю окно 'Задания на доставку'

Сценарий: 010.3. TransportLogistics. Создание планов отгрузки на самовывоз по заказам на пермещение

	Когда Я открываю АРМ Формирование плана отгрузки и устанавливаю дату огрузки "05.04.2021"
	И я выбираю пункт контекстного меню с именем 'ТаблицаРаспоряженийКонтекстноеМенюВыделитьВсе' на элементе формы с именем "ТаблицаРаспоряжений"
	И я нажимаю на кнопку с именем 'ТаблицаРаспоряженийСформироватьРаспоряженияПоЗаказам'
	И Я закрываю АРМ Формирование планов отгрузки

Сценарий: 010.4. TransportLogistics. Проверка заданий по заказам на пермещение на доставку сформированных по самовывозу

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю на гиперссылку с именем "_Отбор__Представление_ДатаВремяРейсаПланС"
	И Я указываю в диалоге стандартного периода период с "05.04.2021" по "05.04.2021"
	Тогда открылось окно 'Задания на доставку'
	Тогда таблица "Список" стала равной:
		| '(План) Начало рейса ' | 'Статус'     | 'Ответственный'                             | 'ТС'                                                       |
		| '05.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]' |
		| '05.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]' |
		| '05.04.2021 0:00:00'   | 'К погрузке' | 'Формирование планов отгрузки на самовывоз' | 'Самовывоз [05.04.2021 0:00:00] [Куриная ГП]'              |
	* Проверка задания по 2 планам отгрузки с одинаковыми складами отправителями и получателями
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                                       |
			| '05.04.2021 0:00:00'   | '00000000004' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Сырная ГП'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '05.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		Тогда таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение'                     | 'Вес'    |
			| ''  | '68,78'           | ''                                         | '112,50' |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И в таблице "ДеревоМаршрута" я перехожу к строке:
				| 'Вес'    | 'Количество мест' |
				| '112,50' | '68,78'           |
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'N' | 'Количество мест' | 'Адрес / Распоряжение'                     | 'Вес'    |
				| ''  | '68,78'           | ''                                         | '112,50' |
				| ''  | '57,55'           | 'План отгрузки *, Склад готовой продукции' | '102,50' |
				| ''  | '11,23'           | 'План отгрузки *, Склад готовой продукции' | '10,00'  |
		И Я закрываю окно 'Задание на доставку * от *'
		Тогда открылось окно 'Задания на доставку'
	* Проверка задания с другим складом отправителем
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                                       |
			| '05.04.2021 0:00:00'   | '00000000005' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [05.04.2021 0:00:00] [Склад готовой продукции]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Куриная ГП'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '05.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		Тогда таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение' | 'Вес'    |
			| ''  | '57,55'           | ''                     | '102,50' |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И я перехожу к закладке с именем "ГруппаМаршрут"
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'N' | 'Количество мест' | 'Адрес / Распоряжение'                     | 'Вес'    |
				| ''  | '57,55'           | ''                                         | '102,50' |
				| ''  | '57,55'           | 'План отгрузки *, Склад готовой продукции' | '102,50' |
		И Я закрываю окно 'Задание на доставку * от *'			
		Тогда открылось окно 'Задания на доставку'
	* Проверка задания с другим складом получателем
		И в таблице "Список" я перехожу к строке:
			| '(План) Начало рейса ' | 'Номер'       | 'Ответственный'                             | 'Статус'     | 'ТС'                                          |
			| '05.04.2021 0:00:00'   | '00000000006' | 'Формирование планов отгрузки на самовывоз' | 'К погрузке' | 'Самовывоз [05.04.2021 0:00:00] [Куриная ГП]' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Задание на доставку * от *'
		И элемент формы с именем "Статус" стал равен 'К погрузке'
		И элемент формы с именем "Перевозчик" стал равен ''
		И элемент формы с именем "ТранспортноеСредство" стал равен 'Самовывоз [05.04.2021 0:00:00] [Куриная ГП]'
		И элемент формы с именем "Водитель" стал равен ''
		И элемент формы с именем "Склад" стал равен 'Сырная ГП'
		И элемент формы с именем "Ответственный" стал равен 'Формирование планов отгрузки на самовывоз'
		И элемент формы с именем "ГосНомерПрицепа" стал равен ''
		И элемент формы с именем "МаркаПрицепа" стал равен ''
		И элемент формы с именем "ДатаВремяРейсаПланС" стал равен '05.04.2021  0:00:00'
		И элемент формы с именем "ДатаВремяРейсаПланПо" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактС" стал равен '  .  .       :  :  '
		И элемент формы с именем "ДатаВремяРейсаФактПо" стал равен '  .  .       :  :  '
		Тогда таблица "ДеревоМаршрута" стала равной:
			| 'N' | 'Количество мест' | 'Адрес / Распоряжение'                     | 'Вес'    |
			| ''  | '11,23'           | 'г. Нижний Новгород, ул. Советская, д. 24' | '10,00'  |
		Тогда в таблице "РаспоряженияНаОтгрузку" количество строк "равно" 0
		Тогда в таблице "Накладные" количество строк "равно" 0
		* Проверка дерева маршрута		
			И я перехожу к закладке с именем "ГруппаМаршрут"
			И в таблице "ДеревоМаршрута" я разворачиваю текущую строку
			Тогда таблица "ДеревоМаршрута" стала равной по шаблону:
				| 'N' | 'Количество мест' | 'Адрес / Распоряжение'                     | 'Вес'    |
				| ''  | '11,23'           | 'г. Нижний Новгород, ул. Советская, д. 24' | '10,00'  |
				| ''  | '11,23'           | 'План отгрузки *, Куриная ГП'              | '10,00'  |
		И Я закрываю окно 'Задание на доставку * от *'			
		Тогда открылось окно 'Задания на доставку'	
	И я нажимаю на гиперссылку с именем "_Отбор__Представление_ДатаВремяРейсаПланС"
	И Я очищаю период в диалоге стандартного периода
	Тогда открылось окно 'Задания на доставку'									
	И Я закрываю окно 'Задания на доставку'

Сценарий: 010.5. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT